%define upstream_name	 Class-DBI-Plugin
%define upstream_version 0.03

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 11

Summary:	Abstract base class for Class::DBI plugins
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/T/TM/TMTM/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:	noarch

%description
Class::DBI::Plugin is an abstract base class for Class::DBI plugins.
Its purpose is to make writing plugins easier. Writers of plugins
should be able to concentrate on the functionality their module
provides, instead of having to deal with the symbol table hackery
involved when writing a plugin module. Only three things must be
remembered:

1 All methods which are to exported are given the "Plugged"
attribute. All other methods are not exported to the plugged-in
class.
2 Method calls which are to be sent to the plugged-in class are
put in the init() method. Examples of these are set_sql(),
add_trigger() and so on.
3 The class parameter for the init() method and the "Plugged"
methods is the plugged-in class, not the plugin class.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/Class
%{_mandir}/*/*



%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.30.0-11.mga10
+ Revision: 2197888
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.30.0-10.mga9
+ Revision: 1802428
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.30.0-9.mga8
+ Revision: 1493529
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.30.0-8.mga7
+ Revision: 1266310
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.30.0-7.mga6
+ Revision: 1023946
- Rebuild for perl 5.22.2

* Sat Jan 30 2016 umeabot <umeabot> 0.30.0-6.mga6
+ Revision: 929092
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-5.mga5
+ Revision: 749511
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-4.mga5
+ Revision: 683899
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.30.0-3.mga4
+ Revision: 509983
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 364336
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 09 2011 jquelin <jquelin> 0.30.0-1.mga1
+ Revision: 2079
- imported package perl-Class-DBI-Plugin

